Subject: Re: [patch V4 10/12] futex: Convert to scoped user access

From: David Laight <[email-masked]>
Date: Thu, 23 Oct 2025 22:14:50 +0100

On Thu, 23 Oct 2025 09:26:12 -1000
Linus Torvalds <[email-masked]> wrote:

> On Thu, 23 Oct 2025 at 08:44, Thomas Gleixner <[email-masked]> wrote:
> >
> > But as you said out-of-line function call it occured to me that these
> > helpers might be just named get/put_user_inline(). Hmm?  
> 
> Yeah, with a comment that clearly says "you need to have actual
> performance numbers for why this needs to be inlined" for people to
> use it.

Avoiding an extra clac/stac pair for two accesses might be enough.
But for a single access it might be hard to justify.

(Even if 'return' instructions are horribly painful.
Although anyone chasing performance is probably using a local system
and just disables all that 'stuff'.)

>            Linus